(* FLAGS -Wall -Werror *)

unit foo;

interface

type
  t = (e);

  r = record
        s : t
      end;

implementation

end.

program fjf276;

uses foo;

var v : r;

begin
  v.s := e;
  case v.s of
    e : writeln ('OK')
  end
end.
